# POST /higgsfield/feed/{task_id}

**Method**: `POST`
**Endpoint**: `/higgsfield/feed/{task_id}`

This section contains endpoint-specific behavior, parameters, or usage notes for this API.

## Request Parameters

### Path Parameters

```text
task_id
string
Required
```

### Header Parameters

```text
Authorization
string
Optional
Default Value:
Bearer {{YOUR_API_KEY}}
```

### Body Parameters application/json

```text
task_id
string
Required
  // provider-specific example normalized for English documentation
Example
{
"task_id"
:
"string"
}
```

## Example Request

### Shell

```bash
curl --location --request POST '/higgsfield/feed/' \
--header 'Authorization: Bearer {{YOUR_API_KEY}}' \
--header 'Content-Type: application/json' \
--data-raw '{
    "task_id": "string"
}'
```

## Response

### 🟢 200 Success

**Content Type**: `application/json`

#### Response Schema

```text
id
string
Task ID
Optional
type
string
Task type
Optional
project_id
string
Optional
created_at
number
  // provider-specific example normalized for English documentation
Optional
params
object
  // provider-specific example normalized for English documentation
Optional
jobs
array
[object]
  // provider-specific example normalized for English documentation
Optional
id
string
Optional
status
enum<string>
Optional
  // provider-specific example normalized for English documentation
Enum Values:
queued
in_progress
completed
result
object
Optional
```

#### Example

```json
{
    "id": "aca6c73e-aa4c-47bb-aa62-a100a0f7dd22",
    "type": "image2video",
    "project_id": "41ff94b3-91b5-424a-a455-0ecef47c9b77",
    "created_at": 1747790390.044471,
    "params": {
        "prompt": "The white cat sits poised...",
        "input_image": {
            "id": "657edc5b-0f39-43b6-8706-676d60366d7d",
            "url": "https://d2ol7oe51mr4n9.cloudfront.net/anon_user_id/657edc5b-0f39-43b6-8706-676d60366d7d.jpeg",
            "type": "media_input"
        },
        "seed": 374487,
        "steps": 20,
        "guide_scale": 6,
        "frames": 81,
        "width": 736,
        "height": 1312,
        "strength": 1,
        "model": "standard",
        "motion_id": "cd5bfd11-5a1a-46e0-9294-b22b0b733b1e",
        "motion": {
            "id": "cd5bfd11-5a1a-46e0-9294-b22b0b733b1e",
            "url": "https://d1xarpci4ikg0w.cloudfront.net/4c75250f-a508-4d36-b092-25cc0837f127.webp",
            "name": "Face Punch"
        },
        "enhance_prompt": true
    },
    "jobs": [
        {
            "id": "f0204af5-1b7e-4c43-a113-191ca66acd31",
            "status": "completed",
            "result": {
                "type": "video",
                "url": "https://d8j0ntlcm91z4.cloudfront.net/user_2xIzuhTaLzSSkbGluAOou1fpp32/5c0ac5f8-b3ff-4161-a77b-c248f02bfeca.mp4"
            },
            "results": {
                "raw": {
                    "type": "video",
                    "url": "https://d8j0ntlcm91z4.cloudfront.net/user_2xIzuhTaLzSSkbGluAOou1fpp32/5c0ac5f8-b3ff-4161-a77b-c248f02bfeca.mp4"
                },
                "min": {
                    "type": "video",
                    "url": "https://d8j0ntlcm91z4.cloudfront.net/user_2xIzuhTaLzSSkbGluAOou1fpp32/5c0ac5f8-b3ff-4161-a77b-c248f02bfeca_min.mp4"
                }
            },
            "meta": {
                "duration": 5
            }
        }
    ]
}
```
